/* Menu ================ */

.menu {

  @media (--laptop-max) {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 22;
    width: 100%;
    max-width: 400px;
    height: 100%;
    background-color: var(--color-white);
    transform: translateX(100%);
    transition: all var(--transition-time) var(--transition-type);

    &.menu--open {
      transform: translateX(0);
    }
  }
}

.menu__container {
  width: 100%;
  height: 100%;

  @media (--laptop-max) {
    padding-top: 40px;
    padding-bottom: 40px;
    overflow-y: auto;
  }
}

.menu__list {
  height: 100%;

  @media (--laptop-max) {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
  }
}

.menu__item {
  position: relative;
  display: inline-flex;
  height: 100%;

  @media (--laptop-min) {

    &:hover {

      .menu__link {
        color: var(--color-secondary);
      }

      .menu__submenu {
        display: block;
      }
    }
  }

  @media (--laptop-max) {
    display: block;
    height: auto;
  }
}

.menu__link {
  position: relative;
  display: inline-flex;
  align-items: center;
  height: 100%;
  padding: 0 10px;
  font-size: var(--text-size-main-small);
  text-decoration: none;

  @media (--laptop-max) {
    display: block;
    height: auto;
    padding: 14px 0;
    text-align: center;

    &:active {
      color: var(--color-secondary);
      background-color: #f5f5f5;
    }
  }

  @media (--tablet-max) {
    padding-top: 10px;
    padding-bottom: 10px;
  }
}

.menu__link--active {
  color: var(--color-secondary);
  pointer-events: none;

  @media (--desktop-large-min) {

    &::after {
      top: -10px;
    }
  }

  @media (--laptop-min) {

    &::after {
      content: "";
      position: absolute;
      top: -5px;
      right: 0;
      left: 0;
      display: block;
      width: 70%;
      height: 5px;
      margin: 0 auto;
      background-color: var(--color-secondary);
    }
  }
}

.menu__submenu {

  @media (--laptop-min) {
    position: absolute;
    top: 100%;
    left: -20px;
    display: none;
    width: 260px;
    padding-top: 0;
    padding-right: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
    background-color: var(--color-white);
  }
}

.submenu__link {
  display: block;
  padding: 4px 0;
  font-size: var(--text-size-main-small);
  text-decoration: none;

  @media (--laptop-max) {
    display: block;
    height: auto;
    padding: 14px 0;
    text-align: center;
  }

  @media (--tablet-max) {
    padding-top: 10px;
    padding-bottom: 10px;
  }
}

.menu__close {
  position: absolute;
  top: 20px;
  right: 20px;
  z-index: 3;

  @media (--laptop-min) {
    display: none;
  }
}

.contacts-list {
  padding-top: 20px;

  .contacts-list__phone {
    line-height: 1.5;
    text-align: center;
  }

  .phone-link__description {
    display: block;
  }

  .header__button-call {
    display: inline-flex;
  }

  @media (--laptop-min) {
    display: none;
  }
}

.contacts-list__item {
  text-align: center;

  + .contacts-list__item {
    padding-top: 20px;
  }
}

.menu__overlay {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  z-index: 12;
  height: 100vh;
  background-color: var(--overlay-backgroind-color);
  opacity: 0;
  transition: .3s ease;
  pointer-events: none;

  @media (--laptop-min) {
    display: none;
  }

  &.menu__overlay--visible {
    opacity: 1;
    transition: .3s ease;
    pointer-events: auto;
  }
}

/* ================ end menu */
